/* Copyright (c) The m-m-m Team, Licensed under the Apache License, Version 2.0
 * http://www.apache.org/licenses/LICENSE-2.0 */
/**
 * Provides the API for dealing with versions.
 * <a name="documentation"/><h2>Version-Util API</h2>
 * Versions are everywhere. From single java files to complex software products
 * you are dealing with version control and version identification.
 * Unfortunately versions are often treated as plain strings with unclear syntax
 * and semantics. Therefore typical questions arise like which of two given 
 * version is higher. As versions are not standardized this API tries its best
 * to define a {@link net.sf.mmm.util.version.api.VersionIdentifier} that should
 * suite all needs for identifying a particular version.
 */
package net.sf.mmm.util.version.api;

